### Method

# Shumate MapLayer set_map_source

unstable since: 1.7

#### Declaration [src]

    void
    shumate_map_layer_set_map_source (
      ShumateMapLayer* self,
      ShumateMapSource* map_source
    )

#### Description [src]

Sets the `ShumateMapSource` that provides tiles for this map layer to display.

Setting a new map source will refresh all tiles from the new source.

Available since: 1.7

Sets property | `Shumate.MapLayer:map-source`

#### Parameters

`map_source`

  Type: `ShumateMapSource`

  A `ShumateMapSource`.

  The data is owned by the caller of the method.